Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class GetSessionDispatcher

    java.lang.Object
      org.deegree.ogcwebservices.wass.common.GetSessionDispatcher

All Implemented Interfaces:
  GetSessionHandler

    public class GetSessionDispatcher

extends Object
implements GetSessionHandler

This class handles/dispatches all GetSession requests.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Constructor Summary
`GetSessionDispatcher(ArrayList<GetSessionHandler> getSessionHandlers)` Constructs a new handler ready to process your requests.

Method Summary
`String` | `handleRequest(GetSession request)` Returns a new session ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetSessionDispatcher

    public GetSessionDispatcher(ArrayList<GetSessionHandler> getSessionHandlers)

  Constructs a new handler ready to process your requests.

  Parameters:
    `getSessionHandlers` -

Method Detail

### handleRequest

    public String handleRequest(GetSession request)
                         throws SessionStatusException,
                                GeneralSecurityException

  Returns a new session ID.

  Specified by:
    `handleRequest` in interface `GetSessionHandler`
  Parameters:
    `request` - the request on which to base the authentication
  Returns:
    the new session ID or null, if no authentication took place
  Throws:
    `SessionStatusException`
    `GeneralSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org